summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian C. Lane <bcl@redhat.com>2014-06-11 12:13:50 -0700
committerPhillip Susi <psusi@ubuntu.com>2014-06-15 14:27:30 -0400
commite8078b3a7b7652aa5f9ee6e09f3c6b21d2810b07 (patch)
tree955c5027a4b9b107289d7a18d2725ad5230f7efb
parent8d2c819b9ec89ca7c29c061eb2fd438c3876d6f8 (diff)
downloadparted-e8078b3a7b7652aa5f9ee6e09f3c6b21d2810b07.tar.gz
Fix python test scripts for distribution
make distcheck was failing because these scripts were not being included. Make them both executable and and add the path to the tests that use them. They also need to be included in the distribution so update Makefile.am * tests/Makefile.am: Add python test scripts * tests/gpt-header-move.py: rename to gpt-header-move and make it executable * tests/msdos-overlap.py: rename to overlap.py * tests/t0282-gpt-move-backup.sh: add path to scripts and use new name * tests/t0283-overlap-partitions.sh: same
-rw-r--r--tests/Makefile.am3
-rwxr-xr-x[-rw-r--r--]tests/gpt-header-move (renamed from tests/gpt-header-move.py)2
-rwxr-xr-xtests/msdos-overlap (renamed from tests/msdos-overlap.py)0
-rw-r--r--tests/t0282-gpt-move-backup.sh4
-rw-r--r--tests/t0283-overlap-partitions.sh4
5 files changed, 8 insertions, 5 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 26226cf..0b5b1b6 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -85,7 +85,8 @@ TESTS = \
EXTRA_DIST = \
$(TESTS) t-local.sh t-lvm.sh \
- init.cfg init.sh t-lib-helpers.sh gpt-header-munge
+ init.cfg init.sh t-lib-helpers.sh gpt-header-munge \
+ gpt-header-move msdos-overlap
check_PROGRAMS = print-align print-max dup-clobber duplicate fs-resize
fs_resize_LDADD = \
diff --git a/tests/gpt-header-move.py b/tests/gpt-header-move
index 8bee6bb..05cdc65 100644..100755
--- a/tests/gpt-header-move.py
+++ b/tests/gpt-header-move
@@ -1,3 +1,5 @@
+#!/usr/bin/python
+
# open img file, subtract 33 from altlba address, and move the last 33 sectors
# back by 33 sectors
diff --git a/tests/msdos-overlap.py b/tests/msdos-overlap
index 5bddfb0..5bddfb0 100755
--- a/tests/msdos-overlap.py
+++ b/tests/msdos-overlap
diff --git a/tests/t0282-gpt-move-backup.sh b/tests/t0282-gpt-move-backup.sh
index b827672..c197279 100644
--- a/tests/t0282-gpt-move-backup.sh
+++ b/tests/t0282-gpt-move-backup.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. "${srcdir=.}/init.sh"; path_prepend_ ../parted
+. "${srcdir=.}/init.sh"; path_prepend_ ../parted $srcdir
require_512_byte_sector_size_
dev=loop-file
@@ -40,7 +40,7 @@ printf "BYT;\n$dev:${n_sectors}s:file:$sector_size_:$sector_size_:gpt::;\n" \
compare exp out || fail=1
# move the backup
-python ../gpt-header-move.py $dev || fail=1
+gpt-header-move $dev || fail=1
# printing must warn, but not fix in script mode
parted -s $dev print > out 2>&1 || fail=1
diff --git a/tests/t0283-overlap-partitions.sh b/tests/t0283-overlap-partitions.sh
index f9a3aff..7928c94 100644
--- a/tests/t0283-overlap-partitions.sh
+++ b/tests/t0283-overlap-partitions.sh
@@ -17,13 +17,13 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. "${srcdir=.}/init.sh"; path_prepend_ ../parted
+. "${srcdir=.}/init.sh"; path_prepend_ ../parted $srcdir
require_512_byte_sector_size_
dev=loop-file
truncate -s 10m $dev || framework_failure
parted -s $dev mklabel msdos || framework_failure
-python ../msdos-overlap.py $dev || framework_failure
+msdos-overlap $dev || framework_failure
# print the empty table
parted ---pretend-input-tty $dev <<EOF > out 2>&1 || fail=1